function main(self)
	PrivateCopyCast("CUSTOM_REDBL", 0x522170)
	PrivateCast(CollisionFlags.MagicBullet, "int*", 0x41DAC9)
	PrivateCast(CollisionFlags.MagicBullet, "int*", 0x41DE0B)
	local speed = 770
	PrivateCast(speed, "int*", 0x41DA88)
	PrivateCast(-speed, "int*", 0x41DA96)
	self:Destroy()
end